GetNotebookExport
Gets the details of a notebook export in Amazon SageMaker Unified Studio.
Request Syntax
GET /v2/domains/domainIdentifier/notebook-exports/identifier HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- domainIdentifier
-
The identifier of the Amazon SageMaker Unified Studio domain in which the notebook export exists.
Pattern:
dzd[-_][a-zA-Z0-9_-]{1,36}Required: Yes
- identifier
-
The identifier of the notebook export.
Pattern:
[a-zA-Z0-9_-]{1,36}Required: Yes
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"completedAt": number,
"createdAt": number,
"createdBy": "string",
"domainId": "string",
"error": {
"message": "string"
},
"fileFormat": "string",
"id": "string",
"notebookId": "string",
"outputLocation": { ... },
"owningProjectId": "string",
"status": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- completedAt
-
The timestamp of when the notebook export completed.
Type: Timestamp
- createdAt
-
The timestamp of when the notebook export was started.
Type: Timestamp
- createdBy
-
The identifier of the user who started the notebook export.
Type: String
- domainId
-
The identifier of the Amazon SageMaker Unified Studio domain.
Type: String
Pattern:
dzd[-_][a-zA-Z0-9_-]{1,36} - error
-
The error details if the notebook export failed.
Type: NotebookExportError object
- fileFormat
-
The file format of the notebook export.
Type: String
Valid Values:
PDF | IPYNB - id
-
The identifier of the notebook export.
Type: String
Pattern:
[a-zA-Z0-9_-]{1,36} - notebookId
-
The identifier of the notebook.
Type: String
Pattern:
[a-zA-Z0-9_-]{1,36} - outputLocation
-
The output location of the exported notebook in Amazon Simple Storage Service.
Type: OutputLocation object
Note: This object is a Union. Only one member of this object can be specified or returned.
- owningProjectId
-
The identifier of the project that owns the notebook.
Type: String
Pattern:
[a-zA-Z0-9_-]{1,36} - status
-
The status of the notebook export.
Type: String
Valid Values:
IN_PROGRESS | SUCCEEDED | FAILED
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
You do not have sufficient access to perform this action.
HTTP Status Code: 403
- InternalServerException
-
The request has failed because of an unknown error, exception or failure.
HTTP Status Code: 500
- ResourceNotFoundException
-
The specified resource cannot be found.
HTTP Status Code: 404
- ThrottlingException
-
The request was denied due to request throttling.
HTTP Status Code: 429
- UnauthorizedException
-
You do not have permission to perform this action.
HTTP Status Code: 401
- ValidationException
-
The input fails to satisfy the constraints specified by the AWS service.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: